Package helma.framework.core

# Class SkinManager

java.lang.Object
helma.framework.core.SkinManager

All Implemented Interfaces:
  `FilenameFilter`

public final class SkinManager extends Object implements FilenameFilter
Manages skins for a Helma application

## Constructor Summary

Constructors
Constructor
Description
`SkinManager(Application app)`
Creates a new SkinManager object.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(File d, String n)`
Implements java.io.FilenameFilter.accept()
`Skin`
`getSkin(Prototype prototype, String skinname, Object[] skinpath)`
`Skin`
`getSkin(Prototype prototype, String skinname, String subskin, Object[] skinpath)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SkinManager

public SkinManager(Application app)
Creates a new SkinManager object.

Parameters:
  `app` - ...

## Method Details

### getSkin

public Skin getSkin(Prototype prototype, String skinname, Object[] skinpath) throws IOException

Throws:
  `IOException`

### getSkin

public Skin getSkin(Prototype prototype, String skinname, String subskin, Object[] skinpath) throws IOException

Throws:
  `IOException`

### accept

public boolean accept(File d, String n)
Implements java.io.FilenameFilter.accept()

Specified by:
  `accept` in interface `FilenameFilter`